com.ibm.openpages.api.respview

## Interface IRespViewFilterRules

-     public interface IRespViewFilterRules

  Represents a filter definition defined on an action or a grid view.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCondition()` Returns the condition.
    `java.lang.String` | `getName()` Returns the name of the filter definition.
    `java.lang.String` | `getNameLabel()`
    `java.util.List<ILabel>` | `getNameLabels()`
    `java.util.List<IRespViewFieldRule>` | `getRules()` Get the list of rules for the filter definiton
    `void` | `setCondition(java.lang.String type)` Sets the condition, i.e., does the filter evaluate to true if "allOf" the rules apply, or if "anyOf" the rules apply.
    `void` | `setName(java.lang.String name)` Set the name of the filter definition
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)`
    `void` | `setRules(java.util.List<IRespViewFieldRule> rules)` Sets the list of rules for the filter definition

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the filter definition.
      Returns:
        String name of the field

    - #### setName

          void setName(java.lang.String name)

      Set the name of the filter definition
      Parameters:
        `name` - String name of the field

    - #### getNameLabel

          java.lang.String getNameLabel()

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

    - #### getCondition

          java.lang.String getCondition()

      Returns the condition. Expected values are "allOf" or "anyOf".
      Returns:
        the condition

    - #### setCondition

          void setCondition(java.lang.String type)

      Sets the condition, i.e., does the filter evaluate to true if "allOf" the rules apply, or if "anyOf" the rules apply.
      Parameters:
        `type` - String condition (e.g., "allOf", "anyOf")

    - #### getRules

          java.util.List<IRespViewFieldRule> getRules()

      Get the list of rules for the filter definiton
      Returns:

    - #### setRules

          void setRules(java.util.List<IRespViewFieldRule> rules)

      Sets the list of rules for the filter definition

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.